# Xapian::DatabaseCreateError Class Reference

DatabaseCreateError indicates a failure to create a database. More...

Inheritance diagram for Xapian::DatabaseCreateError:

[legend]

List of all members.

## Public Member Functions

| DatabaseCreateError (const std::string &msg_, const std::string &context_="", int errno_=0)
| General purpose constructor which allows setting errno.
| DatabaseCreateError (const std::string &msg_, int errno_)
| Construct from message and errno value.

## Detailed Description

DatabaseCreateError indicates a failure to create a database.

## Constructor & Destructor Documentation

Xapian::DatabaseCreateError::DatabaseCreateError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `""`,
|  | int | errno_ = `0` |
| ) |  |  | `[inline, explicit]`

General purpose constructor which allows setting errno.

Xapian::DatabaseCreateError::DatabaseCreateError | ( | const std::string & | msg_,
|  | int | errno_ |
| ) |  |  | `[inline]`

Construct from message and errno value.

The documentation for this class was generated from the following file:

- xapian/error.h